diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/internet/test/ipv6-ripng-test.cc ns-3.36/src/internet/test/ipv6-ripng-test.cc
--- ns-3.35/src/internet/test/ipv6-ripng-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/internet/test/ipv6-ripng-test.cc	2022-04-30 18:23:57.878733600 -0700
@@ -90,7 +90,7 @@
   uint32_t availableData;
   availableData = socket->GetRxAvailable ();
   m_receivedPacket = socket->Recv (std::numeric_limits<uint32_t>::max (), 0);
-  NS_ASSERT (availableData == m_receivedPacket->GetSize ());
+  NS_TEST_ASSERT_MSG_EQ (availableData, m_receivedPacket->GetSize (), "Received packet size is not equal to Rx buffer size");
   //cast availableData to void, to suppress 'availableData' set but not used
   //compiler warning
   (void) availableData;
@@ -313,7 +313,7 @@
   uint32_t availableData;
   availableData = socket->GetRxAvailable ();
   m_receivedPacket = socket->Recv (std::numeric_limits<uint32_t>::max (), 0);
-  NS_ASSERT (availableData == m_receivedPacket->GetSize ());
+  NS_TEST_ASSERT_MSG_EQ (availableData, m_receivedPacket->GetSize (), "Received packet size is not equal to Rx buffer size");
   //cast availableData to void, to suppress 'availableData' set but not used
   //compiler warning
   (void) availableData;
@@ -532,7 +532,7 @@
   availableData = socket->GetRxAvailable ();
   Address srcAddr;
   Ptr<Packet> receivedPacketProbe = socket->RecvFrom (std::numeric_limits<uint32_t>::max (), 0, srcAddr);
-  NS_ASSERT (availableData == receivedPacketProbe->GetSize ());
+  NS_TEST_ASSERT_MSG_EQ (availableData, receivedPacketProbe->GetSize (), "ReceivedPacketProbe size is not equal to the Rx buffer size");
   Ipv6Address senderAddress = Inet6SocketAddress::ConvertFrom (srcAddr).GetIpv6 ();
 
   if (senderAddress == "fe80::200:ff:fe00:4")
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/internet/test/tcp-cong-avoid-test.cc ns-3.36/src/internet/test/tcp-cong-avoid-test.cc
--- ns-3.35/src/internet/test/tcp-cong-avoid-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/internet/test/tcp-cong-avoid-test.cc	2022-04-30 18:23:57.878733600 -0700
@@ -18,7 +18,6 @@
  */
 #include "ns3/log.h"
 #include "ns3/simple-channel.h"
-#include "ns3/tcp-westwood.h"
 #include "ns3/config.h"
 #include "ns3/test.h"
 #include "tcp-general-test.h"
@@ -66,7 +65,7 @@
    * \param desc The test description.
    */
   TcpNewRenoCongAvoidNormalTest (uint32_t segmentSize, uint32_t packetSize,
-                                 uint32_t packets, TypeId& congControl,
+                                 uint32_t packets, const TypeId& congControl,
                                  const std::string &desc);
 protected:
   virtual void CWndTrace (uint32_t oldValue, uint32_t newValue);
@@ -95,7 +94,7 @@
 TcpNewRenoCongAvoidNormalTest::TcpNewRenoCongAvoidNormalTest (uint32_t segmentSize,
                                                               uint32_t packetSize,
                                                               uint32_t packets,
-                                                              TypeId &typeId,
+                                                              const TypeId &typeId,
                                                               const std::string &desc)
   : TcpGeneralTest (desc),
     m_segmentSize (segmentSize),
@@ -193,19 +192,19 @@
 public:
   TcpRenoCongAvoidTestSuite () : TestSuite ("tcp-cong-avoid-test", UNIT)
   {
-    std::list<TypeId> types;
-    types.insert (types.begin (), TcpWestwood::GetTypeId ());
-    types.insert (types.begin (), TcpNewReno::GetTypeId ());
+    std::list<TypeId> types = {
+      TcpNewReno::GetTypeId (),
+    };
 
-    for (std::list<TypeId>::iterator it = types.begin (); it != types.end (); ++it)
+    for (const auto &t : types)
       {
+        std::string typeName = t.GetName ();
+
         for (uint32_t i = 10; i <= 50; i += 10)
           {
-            AddTestCase (new TcpNewRenoCongAvoidNormalTest (500, 500, i, (*it),
-                                                            "cong avoid MSS=500, pkt_size=500," + (*it).GetName ()),
+            AddTestCase (new TcpNewRenoCongAvoidNormalTest (500, 500, i, t, "cong avoid MSS=500, pkt_size=500," + typeName),
                          TestCase::QUICK);
-            AddTestCase (new TcpNewRenoCongAvoidNormalTest (500, 1000, i, (*it),
-                                                            "cong avoid MSS=500, pkt_size=1000," + (*it).GetName ()),
+            AddTestCase (new TcpNewRenoCongAvoidNormalTest (500, 1000, i, t, "cong avoid MSS=500, pkt_size=1000," + typeName),
                          TestCase::QUICK);
           }
       }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/internet/test/tcp-fast-retr-test.cc ns-3.36/src/internet/test/tcp-fast-retr-test.cc
--- ns-3.35/src/internet/test/tcp-fast-retr-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/internet/test/tcp-fast-retr-test.cc	2022-04-30 18:23:57.878733600 -0700
@@ -375,7 +375,7 @@
 void
 TcpFastRetrTest::AfterRTOExpired (const Ptr<const TcpSocketState> tcb, SocketWho who)
 {
-  NS_ASSERT_MSG (true == false, "RTO isn't expected here");
+  NS_TEST_ASSERT_MSG_EQ (true, false, "RTO isn't expected here");
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/internet/test/tcp-general-test.cc ns-3.36/src/internet/test/tcp-general-test.cc
--- ns-3.35/src/internet/test/tcp-general-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/internet/test/tcp-general-test.cc	2022-04-30 18:23:57.878733600 -0700
@@ -350,9 +350,8 @@
 }
 
 void
-TcpGeneralTest::PhyDropCb (std::string context, Ptr<const Packet> p)
+TcpGeneralTest::PhyDropCb (std::string context, [[maybe_unused]] Ptr<const Packet> p)
 {
-  NS_UNUSED (p);
   if (context.compare ("SENDER") == 0)
     {
       PhyDrop (SENDER);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/internet/test/tcp-general-test.h ns-3.36/src/internet/test/tcp-general-test.h
--- ns-3.35/src/internet/test/tcp-general-test.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/internet/test/tcp-general-test.h	2022-04-30 18:23:57.878733600 -0700
@@ -696,11 +696,9 @@
    * \param oldValue old value
    * \param newValue new value
    */
-  virtual void CongStateTrace (const TcpSocketState::TcpCongState_t oldValue,
-                               const TcpSocketState::TcpCongState_t newValue)
+  virtual void CongStateTrace ([[maybe_unused]] const TcpSocketState::TcpCongState_t oldValue,
+                               [[maybe_unused]] const TcpSocketState::TcpCongState_t newValue)
   {
-    NS_UNUSED (oldValue);
-    NS_UNUSED (newValue);
   }
 
   /**
@@ -709,10 +707,9 @@
    * \param oldValue old value
    * \param newValue new value
    */
-  virtual void CWndTrace (uint32_t oldValue, uint32_t newValue)
+  virtual void CWndTrace ([[maybe_unused]] uint32_t oldValue,
+                          [[maybe_unused]] uint32_t newValue)
   {
-    NS_UNUSED (oldValue);
-    NS_UNUSED (newValue);
   }
 
   /**
@@ -721,10 +718,9 @@
    * \param oldValue old value
    * \param newValue new value
    */
-  virtual void CWndInflTrace (uint32_t oldValue, uint32_t newValue)
+  virtual void CWndInflTrace ([[maybe_unused]] uint32_t oldValue,
+                              [[maybe_unused]] uint32_t newValue)
   {
-    NS_UNUSED (oldValue);
-    NS_UNUSED (newValue);
   }
 
   /**
@@ -735,10 +731,9 @@
    * \param oldTime old value
    * \param newTime new value
    */
-  virtual void RttTrace (Time oldTime, Time newTime)
+  virtual void RttTrace ([[maybe_unused]] Time oldTime,
+                         [[maybe_unused]] Time newTime)
   {
-    NS_UNUSED (oldTime);
-    NS_UNUSED (newTime);
   }
 
   /**
@@ -749,10 +744,9 @@
    * \param oldValue old value
    * \param newValue new value
    */
-  virtual void SsThreshTrace (uint32_t oldValue, uint32_t newValue)
+  virtual void SsThreshTrace ([[maybe_unused]] uint32_t oldValue,
+                              [[maybe_unused]] uint32_t newValue)
   {
-    NS_UNUSED (oldValue);
-    NS_UNUSED (newValue);
   }
 
   /**
@@ -763,10 +757,9 @@
    * \param oldValue old value
    * \param newValue new value
    */
-  virtual void BytesInFlightTrace (uint32_t oldValue, uint32_t newValue)
+  virtual void BytesInFlightTrace ([[maybe_unused]] uint32_t oldValue,
+                                   [[maybe_unused]] uint32_t newValue)
   {
-    NS_UNUSED (oldValue);
-    NS_UNUSED (newValue);
   }
 
   /**
@@ -777,10 +770,9 @@
    * \param oldValue old value
    * \param newValue new value
    */
-  virtual void RtoTrace (Time oldValue, Time newValue)
+  virtual void RtoTrace ([[maybe_unused]] Time oldValue,
+                         [[maybe_unused]] Time newValue)
   {
-    NS_UNUSED (oldValue);
-    NS_UNUSED (newValue);
   }
 
   /**
@@ -791,10 +783,9 @@
    * \param oldValue old value
    * \param newValue new value
    */
-  virtual void NextTxSeqTrace (SequenceNumber32 oldValue, SequenceNumber32 newValue)
+  virtual void NextTxSeqTrace ([[maybe_unused]] SequenceNumber32 oldValue,
+                               [[maybe_unused]] SequenceNumber32 newValue)
   {
-    NS_UNUSED (oldValue);
-    NS_UNUSED (newValue);
   }
 
   /**
@@ -805,37 +796,33 @@
    * \param oldValue old value
    * \param newValue new value
    */
-  virtual void HighestTxSeqTrace (SequenceNumber32 oldValue, SequenceNumber32 newValue)
+  virtual void HighestTxSeqTrace ([[maybe_unused]] SequenceNumber32 oldValue,
+                                  [[maybe_unused]] SequenceNumber32 newValue)
   {
-    NS_UNUSED (oldValue);
-    NS_UNUSED (newValue);
   }
 
   /**
    * \brief Track the rate value of TcpRateLinux.
    * \param rate updated value of TcpRate.
    */
-  virtual void RateUpdatedTrace (const TcpRateLinux::TcpRateConnection &rate)
+  virtual void RateUpdatedTrace ([[maybe_unused]] const TcpRateLinux::TcpRateConnection &rate)
   {
-    NS_UNUSED (rate);
   }
 
   /**
    * \brief Track the rate sample value of TcpRateLinux.
    * \param sample updated value of TcpRateSample.
    */
-  virtual void RateSampleUpdatedTrace (const TcpRateLinux::TcpRateSample &sample)
+  virtual void RateSampleUpdatedTrace ([[maybe_unused]] const TcpRateLinux::TcpRateSample &sample)
   {
-    NS_UNUSED (sample);
   }
 
   /**
    * \brief Socket closed normally
    * \param who the socket closed (SENDER or RECEIVER)
    */
-  virtual void NormalClose (SocketWho who)
+  virtual void NormalClose ([[maybe_unused]] SocketWho who)
   {
-    NS_UNUSED (who);
   }
 
   /**
@@ -843,28 +830,25 @@
    *
    * \param who the socket closed (SENDER or RECEIVER)
    */
-  virtual void ErrorClose  (SocketWho who)
+  virtual void ErrorClose  ([[maybe_unused]] SocketWho who)
   {
     /** \todo indicate the error */
-    NS_UNUSED (who);
   }
 
   /**
    * \brief Drop on the queue
    * \param who where the drop occurred (SENDER or RECEIVER)
    */
-  virtual void QueueDrop   (SocketWho who)
+  virtual void QueueDrop   ([[maybe_unused]] SocketWho who)
   {
-    NS_UNUSED (who);
   }
 
   /**
    * \brief Link drop
    * \param who where the drop occurred (SENDER or RECEIVER)
    */
-  virtual void PhyDrop     (SocketWho who)
+  virtual void PhyDrop     ([[maybe_unused]] SocketWho who)
   {
-    NS_UNUSED (who);
   }
 
   /**
@@ -876,12 +860,10 @@
    * \param h the header of segment
    * \param who the socket which has received the ACK (SENDER or RECEIVER)
    */
-  virtual void RcvAck      (const Ptr<const TcpSocketState> tcb,
-                            const TcpHeader& h, SocketWho who)
+  virtual void RcvAck      ([[maybe_unused]] const Ptr<const TcpSocketState> tcb,
+                            [[maybe_unused]] const TcpHeader& h,
+                            [[maybe_unused]] SocketWho who)
   {
-    NS_UNUSED (tcb);
-    NS_UNUSED (h);
-    NS_UNUSED (who);
   }
 
   /**
@@ -893,12 +875,10 @@
    * \param h the header of segment
    * \param who the socket which has processed the ACK (SENDER or RECEIVER)
    */
-  virtual void ProcessedAck (const Ptr<const TcpSocketState> tcb,
-                             const TcpHeader& h, SocketWho who)
+  virtual void ProcessedAck ([[maybe_unused]] const Ptr<const TcpSocketState> tcb,
+                             [[maybe_unused]] const TcpHeader& h,
+                             [[maybe_unused]] SocketWho who)
   {
-    NS_UNUSED (tcb);
-    NS_UNUSED (h);
-    NS_UNUSED (who);
   }
 
   /**
@@ -925,10 +905,9 @@
    * \param tcb Transmission control block
    * \param who where the RTO has expired (SENDER or RECEIVER)
    */
-  virtual void AfterRTOExpired (const Ptr<const TcpSocketState> tcb, SocketWho who)
+  virtual void AfterRTOExpired ([[maybe_unused]] const Ptr<const TcpSocketState> tcb,
+                                [[maybe_unused]] SocketWho who)
   {
-    NS_UNUSED (tcb);
-    NS_UNUSED (who);
   }
 
   /**
@@ -937,10 +916,9 @@
    * \param tcb Transmission control block
    * \param who where the RTO has expired (SENDER or RECEIVER)
    */
-  virtual void BeforeRTOExpired (const Ptr<const TcpSocketState> tcb, SocketWho who)
+  virtual void BeforeRTOExpired ([[maybe_unused]] const Ptr<const TcpSocketState> tcb,
+                                 [[maybe_unused]] SocketWho who)
   {
-    NS_UNUSED (tcb);
-    NS_UNUSED (who);
   }
 
   /**
@@ -950,13 +928,11 @@
    * \param isRetransmission self-explanatory
    * \param who where the rtt history was updated
    */
-  virtual void UpdatedRttHistory (const SequenceNumber32 & seq, uint32_t sz,
-                                  bool isRetransmission, SocketWho who)
+  virtual void UpdatedRttHistory ([[maybe_unused]] const SequenceNumber32 & seq,
+                                  [[maybe_unused]] uint32_t sz,
+                                  [[maybe_unused]] bool isRetransmission,
+                                  [[maybe_unused]] SocketWho who)
   {
-    NS_UNUSED (seq);
-    NS_UNUSED (sz);
-    NS_UNUSED (isRetransmission);
-    NS_UNUSED (who);
   }
 
   /**
@@ -965,10 +941,9 @@
    * \param size the amount of bytes transmitted
    * \param who where the RTO has expired (SENDER or RECEIVER)
    */
-  virtual void DataSent (uint32_t size, SocketWho who)
+  virtual void DataSent ([[maybe_unused]] uint32_t size,
+                         [[maybe_unused]] SocketWho who)
   {
-    NS_UNUSED (size);
-    NS_UNUSED (who);
   }
 
   /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/internet/test/tcp-hybla-test.cc ns-3.36/src/internet/test/tcp-hybla-test.cc
--- ns-3.35/src/internet/test/tcp-hybla-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/internet/test/tcp-hybla-test.cc	2022-04-30 18:23:57.878733600 -0700
@@ -79,9 +79,8 @@
 }
 
 void
-TcpHyblaIncrementTest::RhoUpdated (double oldVal, double newVal)
+TcpHyblaIncrementTest::RhoUpdated ([[maybe_unused]] double oldVal, double newVal)
 {
-  NS_UNUSED (oldVal);
   m_rho = newVal;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/internet/test/tcp-rate-ops-test.cc ns-3.36/src/internet/test/tcp-rate-ops-test.cc
--- ns-3.35/src/internet/test/tcp-rate-ops-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/internet/test/tcp-rate-ops-test.cc	2022-04-30 18:23:57.882733600 -0700
@@ -359,9 +359,8 @@
 }
 
 void
-TcpRateLinuxWithSocketsTest::BytesInFlightTrace (uint32_t oldValue, uint32_t newValue)
+TcpRateLinuxWithSocketsTest::BytesInFlightTrace ([[maybe_unused]] uint32_t oldValue, uint32_t newValue)
 {
-  NS_UNUSED (oldValue);
   m_bytesInFlight = newValue;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/internet/test/tcp-rto-test.cc ns-3.36/src/internet/test/tcp-rto-test.cc
--- ns-3.35/src/internet/test/tcp-rto-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/internet/test/tcp-rto-test.cc	2022-04-30 18:23:57.882733600 -0700
@@ -19,7 +19,6 @@
 
 #include "ns3/node.h"
 #include "ns3/log.h"
-#include "ns3/tcp-westwood.h"
 #include "ns3/simple-channel.h"
 #include "ns3/rtt-estimator.h"
 #include "tcp-general-test.h"
@@ -50,7 +49,7 @@
    * \param congControl Congestion control type.
    * \param msg Test description.
    */
-  TcpRtoTest (TypeId &congControl, const std::string &msg);
+  TcpRtoTest (const TypeId &congControl, const std::string &msg);
 
 protected:
 
@@ -69,7 +68,7 @@
   bool m_segmentReceived; //!< True if segments have been received.
 };
 
-TcpRtoTest::TcpRtoTest (TypeId &congControl, const std::string &desc)
+TcpRtoTest::TcpRtoTest (const TypeId &congControl, const std::string &desc)
   : TcpGeneralTest (desc),
     m_afterRTOExpired (false),
     m_segmentReceived (false)
@@ -183,12 +182,12 @@
 public:
   /**
    * \brief Constructor.
-   * \param congControl Congestion control type.
+   * \param congControl congestion control type
    * \param seqToDrop sequence number to drop
    * \param minRto minimum RTO
-   * \param msg Test description.
+   * \param msg test description
    */
-  TcpSsThreshRtoTest (TypeId &congControl, uint32_t seqToDrop, Time minRto, const std::string &msg);
+  TcpSsThreshRtoTest (const TypeId &congControl, uint32_t seqToDrop, Time minRto, const std::string &msg);
 
 protected:
 
@@ -201,7 +200,7 @@
 
   virtual void ConfigureEnvironment ();
 
-    /**
+  /**
    * \brief Called when a packet has been dropped.
    * \param ipH IPv4 header.
    * \param tcpH TCP header.
@@ -217,7 +216,7 @@
   Time m_minRtoTime; //!< the minimum RTO time
 };
 
-TcpSsThreshRtoTest::TcpSsThreshRtoTest (TypeId &congControl, uint32_t seqToDrop, Time minRto, const std::string &desc)
+TcpSsThreshRtoTest::TcpSsThreshRtoTest (const TypeId &congControl, uint32_t seqToDrop, Time minRto, const std::string &desc)
   : TcpGeneralTest (desc),
     m_seqToDrop (seqToDrop),
     m_minRtoTime (minRto)
@@ -251,7 +250,7 @@
 
   Ptr<TcpSeqErrorModel> errorModel = CreateObject<TcpSeqErrorModel> ();
 
-  for (uint32_t i = 0; i<3; ++i)
+  for (uint32_t i = 0; i < 3; ++i)
     {
       errorModel->AddSeqToKill (SequenceNumber32 (m_seqToDrop));
     }
@@ -263,7 +262,7 @@
 
 void
 TcpSsThreshRtoTest::PktDropped (const Ipv4Header &ipH, const TcpHeader& tcpH,
-                            Ptr<const Packet> p)
+                                Ptr<const Packet> p)
 {
   NS_LOG_DEBUG ("DROPPED! " << tcpH);
 }
@@ -302,8 +301,8 @@
   NS_LOG_DEBUG ("After RTO for " << who);
   Ptr<TcpSocketMsgBase> senderSocket = GetSenderSocket();
 
-  // compute the ssThresh according to RFC 5681, using the 
-  uint32_t ssThresh = std::max(m_bytesInFlightBeforeRto/2, 2*tcb->m_segmentSize);
+  // compute the ssThresh according to RFC 5681, using the
+  uint32_t ssThresh = std::max (m_bytesInFlightBeforeRto / 2, 2 * tcb->m_segmentSize);
 
   NS_LOG_DEBUG ("ssThresh " << ssThresh << " m_ssThreshSocket " << m_ssThreshSocket);
 
@@ -328,7 +327,7 @@
    * \param congControl Congestion control type.
    * \param msg Test description.
    */
-  TcpTimeRtoTest (TypeId &congControl, const std::string &msg);
+  TcpTimeRtoTest (const TypeId &congControl, const std::string &msg);
 
 protected:
   virtual Ptr<TcpSocketMsgBase> CreateSenderSocket (Ptr<Node> node);
@@ -355,8 +354,8 @@
 };
 
 
-TcpTimeRtoTest::TcpTimeRtoTest (TypeId &congControl, const std::string &desc)
-  :   TcpGeneralTest (desc),
+TcpTimeRtoTest::TcpTimeRtoTest (const TypeId &congControl, const std::string &desc)
+  : TcpGeneralTest (desc),
     m_senderSentSegments (0),
     m_closed (false)
 {
@@ -386,7 +385,7 @@
   Ptr<TcpSeqErrorModel> errorModel = CreateObject<TcpSeqErrorModel> ();
 
   // Drop packet for 7 times. At the 7th, the connection should be dropped.
-  for (uint32_t i = 0; i<7; ++i)
+  for (uint32_t i = 0; i < 7; ++i)
     {
       errorModel->AddSeqToKill (SequenceNumber32 (1));
     }
@@ -408,7 +407,7 @@
 
       if (h.GetFlags () & TcpHeader::SYN)
         {
-          NS_ASSERT (m_senderSentSegments == 1);
+          NS_TEST_ASSERT_MSG_EQ (m_senderSentSegments, 1, "Number of segments sent is different than 1");
 
           Time s_rto = GetRto (SENDER);
           NS_TEST_ASSERT_MSG_EQ (s_rto, GetConnTimeout (SENDER),
@@ -420,7 +419,7 @@
           NS_LOG_INFO ("TX: " << h << m_senderSentSegments);
 
           NS_TEST_ASSERT_MSG_EQ (h.GetSequenceNumber ().GetValue (), 1,
-                                 "First packet has been correctly sent");
+                                 "First packet was not correctly sent");
 
           // Remember, from RFC:
           // m_rto = Max (m_rtt->GetEstimate () +
@@ -434,13 +433,13 @@
               Time clockGranularity = GetClockGranularity (SENDER);
               m_previousRTO = rttEstimator->GetEstimate ();
 
-              if (clockGranularity > rttEstimator->GetVariation ()*4)
+              if (clockGranularity > rttEstimator->GetVariation () * 4)
                 {
                   m_previousRTO += clockGranularity;
                 }
               else
                 {
-                  m_previousRTO += rttEstimator->GetVariation ()*4;
+                  m_previousRTO += rttEstimator->GetVariation () * 4;
                 }
 
               m_previousRTO = Max (m_previousRTO, GetMinRto (SENDER));
@@ -459,12 +458,11 @@
     }
   else if (who == RECEIVER)
     {
-
     }
 }
 
 void
-TcpTimeRtoTest::ErrorClose  (SocketWho who)
+TcpTimeRtoTest::ErrorClose (SocketWho who)
 {
   m_closed = true;
 }
@@ -478,7 +476,7 @@
 
   if (actualRto < Seconds (60))
     {
-      NS_TEST_ASSERT_MSG_EQ_TOL (actualRto, m_previousRTO+m_previousRTO, Seconds (0.01),
+      NS_TEST_ASSERT_MSG_EQ_TOL (actualRto, m_previousRTO + m_previousRTO, Seconds (0.01),
                                  "RTO has not doubled after an expiration");
       m_previousRTO += m_previousRTO;
     }
@@ -515,25 +513,31 @@
 public:
   TcpRtoTestSuite () : TestSuite ("tcp-rto-test", UNIT)
   {
-    std::list<TypeId> types;
-    types.insert (types.begin (), TcpNewReno::GetTypeId ());
-    types.insert (types.begin (), TcpWestwood::GetTypeId ());
+    std::list<TypeId> types = {
+      TcpNewReno::GetTypeId (),
+    };
 
-    for (std::list<TypeId>::iterator it = types.begin (); it != types.end (); ++it)
+    for (const auto &t : types)
       {
-        AddTestCase (new TcpRtoTest ((*it), (*it).GetName () + " RTO retransmit testing"), TestCase::QUICK);
-        uint32_t seqToDrop = 25001;
-        Time minRto = Seconds (0.5);
+        AddTestCase (new TcpRtoTest (t, t.GetName () + " RTO retransmit testing"), TestCase::QUICK);
+
+        constexpr uint32_t seqToDrop = 25001;
+
         // With RTO of 0.5 seconds, BytesInFlight winds down to zero before RTO
-        AddTestCase (new TcpSsThreshRtoTest ((*it), seqToDrop, minRto, (*it).GetName () + " RTO ssthresh testing, set to 2*MSL"), TestCase::QUICK);
-        // With RTO of 0.005 seconds, FlightSize/2 > 2*SMSS 
-        minRto = Seconds (0.005);
-        AddTestCase (new TcpSsThreshRtoTest ((*it), seqToDrop, minRto, (*it).GetName () + " RTO ssthresh testing, set to half of BytesInFlight"), TestCase::QUICK);
-        AddTestCase (new TcpTimeRtoTest ((*it), (*it).GetName () + " RTO timing testing"), TestCase::QUICK);
+        AddTestCase (new TcpSsThreshRtoTest (
+                        t, seqToDrop, Seconds (0.5),
+                        t.GetName () + " RTO ssthresh testing, set to 2*MSL"),
+                     TestCase::QUICK);
+
+        // With RTO of 0.005 seconds, FlightSize/2 > 2*SMSS
+        AddTestCase (new TcpSsThreshRtoTest (
+                        t, seqToDrop, Seconds (0.005),
+                        t.GetName () + " RTO ssthresh testing, set to half of BytesInFlight"),
+                     TestCase::QUICK);
+
+        AddTestCase (new TcpTimeRtoTest (t, t.GetName () + " RTO timing testing"), TestCase::QUICK);
       }
   }
 };
 
 static TcpRtoTestSuite g_TcpRtoTestSuite; //!< Static variable for test initialization
-
-
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/internet/test/tcp-rtt-estimation.cc ns-3.36/src/internet/test/tcp-rtt-estimation.cc
--- ns-3.35/src/internet/test/tcp-rtt-estimation.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/internet/test/tcp-rtt-estimation.cc	2022-04-30 18:23:57.882733600 -0700
@@ -127,7 +127,7 @@
         }
 
       Ptr<RttEstimator> rttEstimator = GetRttEstimator (SENDER);
-      NS_ASSERT (rttEstimator != 0);
+      NS_TEST_ASSERT_MSG_NE (rttEstimator, 0, "rtt is 0 (and should be different from zero)");
       NS_LOG_DEBUG ("S Tx: seq=" << h.GetSequenceNumber () << " ack=" << h.GetAckNumber ());
       NS_TEST_ASSERT_MSG_NE (rttEstimator->GetEstimate (), Seconds (1),
                              "Default Estimate for the RTT");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/internet/test/tcp-slow-start-test.cc ns-3.36/src/internet/test/tcp-slow-start-test.cc
--- ns-3.35/src/internet/test/tcp-slow-start-test.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/internet/test/tcp-slow-start-test.cc	2022-04-30 18:23:57.882733600 -0700
@@ -21,7 +21,6 @@
 #include "ns3/simple-channel.h"
 #include "ns3/node.h"
 #include "ns3/config.h"
-#include "ns3/tcp-westwood.h"
 #include "ns3/tcp-header.h"
 #include "tcp-general-test.h"
 
@@ -58,7 +57,7 @@
    * \param desc Test description.
    */
   TcpSlowStartNormalTest (uint32_t segmentSize, uint32_t packetSize,
-                          uint32_t initSsTh, uint32_t packets, TypeId& congControl,
+                          uint32_t initSsTh, uint32_t packets, const TypeId& congControl,
                           const std::string &desc);
 
 protected:
@@ -88,7 +87,7 @@
                                                 uint32_t packetSize,
                                                 uint32_t initSsTh,
                                                 uint32_t packets,
-                                                TypeId &typeId,
+                                                const TypeId &typeId,
                                                 const std::string &desc)
   : TcpGeneralTest (desc),
     m_ackedBytes (0),
@@ -231,7 +230,7 @@
    * \param desc Test description.
    */
   TcpSlowStartAttackerTest (uint32_t segmentSize, uint32_t packetSize,
-                            uint32_t initSsTh, uint32_t packets, TypeId& congControl,
+                            uint32_t initSsTh, uint32_t packets, const TypeId& congControl,
                             const std::string &desc);
 
 protected:
@@ -242,7 +241,8 @@
                                                     uint32_t packetSize,
                                                     uint32_t initSsTh,
                                                     uint32_t packets,
-                                                    TypeId &typeId, const std::string &msg)
+                                                    const TypeId &typeId,
+                                                    const std::string &msg)
   : TcpSlowStartNormalTest (segmentSize, packetSize, initSsTh, packets, typeId, msg)
 {
 
@@ -273,30 +273,31 @@
   TcpSlowStartTestSuite () : TestSuite ("tcp-slow-start-test", UNIT)
   {
     // This test have less packets to transmit than SsTh
-    std::list<TypeId> types;
-    types.insert (types.begin (), TcpNewReno::GetTypeId ());
-    types.insert (types.begin (), TcpWestwood::GetTypeId ());
+    std::list<TypeId> types = {
+      TcpNewReno::GetTypeId (),
+    };
 
-    for (std::list<TypeId>::iterator it = types.begin (); it != types.end (); ++it)
+    for (const auto &t : types)
       {
-        AddTestCase (new TcpSlowStartNormalTest (500, 500, 10000, 10, (*it),
-                                                 "slow start 500 byte, " + (*it).GetName ()),
+        std::string typeName = t.GetName ();
+
+        AddTestCase (new TcpSlowStartNormalTest (500, 500, 10000, 10, t,
+                                                 "slow start 500 byte, " + typeName),
                      TestCase::QUICK);
-        AddTestCase (new TcpSlowStartNormalTest (1000, 1000, 10000, 9, (*it),
-                                                 "slow start 1000 byte, " + (*it).GetName ()),
+        AddTestCase (new TcpSlowStartNormalTest (1000, 1000, 10000, 9, t,
+                                                 "slow start 1000 byte, " + typeName),
                      TestCase::QUICK);
-        AddTestCase (new TcpSlowStartNormalTest (500, 250, 10000, 10, (*it),
-                                                 "slow start small packets, " + (*it).GetName ()),
+        AddTestCase (new TcpSlowStartNormalTest (500, 250, 10000, 10, t,
+                                                 "slow start small packets, " + typeName),
                      TestCase::QUICK);
-        AddTestCase (new TcpSlowStartAttackerTest (500, 500, 10000, 10, (*it),
-                                                   "slow start ack attacker, 500 byte, " + (*it).GetName ()),
+        AddTestCase (new TcpSlowStartAttackerTest (500, 500, 10000, 10, t,
+                                                   "slow start ack attacker, 500 byte, " + typeName),
                      TestCase::QUICK);
-        AddTestCase (new TcpSlowStartAttackerTest (1000, 1000, 10000, 9, (*it),
-                                                   "slow start ack attacker, 1000 byte, " + (*it).GetName ()),
+        AddTestCase (new TcpSlowStartAttackerTest (1000, 1000, 10000, 9, t,
+                                                   "slow start ack attacker, 1000 byte, " + typeName),
                      TestCase::QUICK);
       }
   }
 };
 
 static TcpSlowStartTestSuite g_tcpSlowStartTestSuite; //!< Static variable for test initialization
-
